%  clearns - remove all the namespace definitions from the xml-object   
%   
%  CALL:   
%   obj = addns(obj,S)   
%   
%  INPUT:   
%   obj: <xml-object>   
%   S:   <struct> fieldnames --> namespace variable   
%                 values     --> namespace value   
%        <cell array> size: nx2, first column  --> namespace variable   
%                          second column --> namespace value   
%   
%  OUTPUT:   
%   obj: <xml-object> with no namespace definitions   
%   
%  EXAMPLE   
%   %create an xml-object   
%   obj = xml(fullfile(pwd,'examples','namespaces.xml'))   
%   
%   %add namespaces   
%   addns(obj,{'ns','http://www.w3schools.com/furniture'})   
%   addns(obj,{'nsdim','http://www.modelit.nl/dimension'})   
%   
%   %list namespaces   
%   listns(obj)   
%   
%   %clear all defined namespaces   
%   clearns(obj)   
%   
%   %list namespaces   
%   listns(obj)   
%   
%  See also: xml, xml/listns, xml/addns, xml/removens, xml/getns   
   
   
%  Modelit 2006-2014   
% Matlab release: 2012a   
% Date: 2014/10/22 17:31:02   
% Revision: 1.08   
