%  isfield - true if at least one node satisfies the indexing 'sub'   
%   
%  CALL:   
%   tf = isfield(obj,field)   
%   
%  INPUT:   
%   obj: <xml-object>   
%   sub: <string> index into xml document (same format as indexing into   
%                 Matlab structures) e.g. 'book(1)' or 'book(1).title'   
%                 result in the same substructs as would be obtained if   
%                 S.book(1)or S.book(1).title were used (S a Matlab   
%                 structure)   
%        <string> with xpath expression   
%   
%  OUTPUT:   
%   tf: <boolean>  true if at least one node satisfies the indexing 'sub'   
%   
%  EXAMPLE:   
%   %create an xml from a sourcefile   
%   obj = xml(fullfile(pwd,'examples','books.xml'))   
%   isfield(obj,'book(1:2)')   
%   isfield(obj,'book(2).@category')   
%   %N.B. in the following statement true is return although the number of   
%   %books is 4, this is because book(2:4) exist   
%   isfield(obj,'book(2:10)')   
%   
%   %examples with xpath expression   
%   %are there any books in english?   
%   isfield(obj,'bookstore/book/title[@lang=''en'']')   
%   %are there any books in spanish?   
%   isfield(obj,'bookstore/book/title[@lang=''es'']')   
%   %are there books cheaper than 30 euro   
%   isfield(obj,'bookstore/book[price < 30]')   
%   
%  See also: xml, xml/fieldNames, xml/rmfield   
   
   
%  Modelit 2006-2014   
% Matlab release: 2012a   
% Date: 2014/10/22 17:31:02   
% Revision: 1.08   
