%  parseQueryString - convert GET string to equivalent struct array   
%   
%  NOTE: use parseQueryVarargin to return varargin style output   
%   
%  CALL:   
%    S = parseQueryString(str)   
%   
%  INPUT:   
%      str:   
%          string with URL GET command   
%          Example: ?from=utrecht&to=amsterdam&time=200908130900&depart=0   
%   
%  OUTPUT:   
%      S:   
%          struct array with fields   
%          +----name   
%          +----value   
%          Example:   
%              S(1)   
%              +----'from'   
%              +----'utrecht'   
%              S(2)   
%              +---- ..   
%              +---- ..   
%   
%  USE:   
%      This utility does not actually perform any xml operations, but is   
%      useful for parsing HTTP GET requests. This is useful if te modelit   
%      xml toolbox is used in conjunction with the Modelit webserver toolbox.   
%   
%  See also: regexp   
   
   
%  Modelit 2006-2014   
% Matlab release: 2012a   
% Date: 2014/10/22 17:31:02   
% Revision: 1.08   
